import request from '@/utils/request';

export function deviceTypeList() { // 设备类型
  return request({
    url: 'devices/devicetype',
    method: 'get',
  });
}

export function deviceList(page, limit, type) {
  return request({
    url: 'devices/devicelist?page=' + page + '&limit=' + limit + '&type=' + type,
    method: 'get',
  });
}

export function deviceDataInfo(id) {
  return request({
    url: '/devices/deviceDataInfo/' + id,
    method: 'get',
  });
}

export function deviceDataSearch(data) {
  return request({
    url: '/devices/deviceDataSearch',
    method: 'post',
    data,
  });
}

